From 990bd0e73e966ce8528d5629d90544c99a08e814 Mon Sep 17 00:00:00 2001
From: Joel Grunbaum <joelgrun@gmail.com>
Date: Thu, 22 Aug 2019 23:35:54 +0000
Subject: [PATCH] Only link changed packages and add all packages at end

---
 build.sh |   53 ++++++++++++++++++++++++++++++++---------------------
 1 files changed, 32 insertions(+), 21 deletions(-)

diff --git a/build.sh b/build.sh
index fee8d1f..dccc4e3 100755
--- a/build.sh
+++ b/build.sh
@@ -78,9 +78,9 @@
 cd $(dirname "$(realpath $0)")
 
 #Remove old packages
-git rm -r x86_64/*
-rm -r x86_64
-mkdir x86_64
+#git rm -r x86_64/*
+#rm -r x86_64
+#mkdir x86_64
 
 #dependencies
 cd dependencies
@@ -94,15 +94,20 @@
 	#update package to latest from AUR
 	git pull
 	makepkg -si --noconfirm
-	latest=$(newest_matching_file '*.pkg.tar.xz')
-	while [ $NUM_BACK \< $(find . -name "*.pkg.tar.xz" | wc -l) ]
-	do
-		oldest=$(oldest_matching_file '*.pkg.tar.xz')
-		rm $oldest
-	done
-	cd ..
-	ln $d/$latest ../x86_64/$latest
-	repo-add ../Chizi123.db.tar.xz ../x86_64/$latest
+	if [ $? = 0 ]; then
+		latest=$(newest_matching_file '*.pkg.tar.xz')
+		while [ $NUM_BACK \< $(find . -name "*.pkg.tar.xz" | wc -l) ]
+		do
+			oldest=$(oldest_matching_file '*.pkg.tar.xz')
+			rm $oldest
+		done
+		cd ..
+		rm ../x86_64/"$d"*".pkg.tar.xz"
+		ln $d/$latest ../x86_64/$latest
+	else
+		cd ..
+	fi
+	#	repo-add ../Chizi123.db.tar.xz ../x86_64/$latest
 done
 cd ..
 
@@ -117,17 +122,23 @@
 	#update package to latest from AUR
 	git pull
 	makepkg -s --noconfirm
-	latest=$(newest_matching_file '*.pkg.tar.xz')
-	while [ $NUM_BACK \< $(find . -name "*.pkg.tar.xz" | wc -l) ]
-	do
-		oldest=$(oldest_matching_file '*.pkg.tar.xz')
-		rm $oldest
-	done
-	cd ..
-	ln $d/$latest x86_64/$latest
-	repo-add ./Chizi123.db.tar.xz x86_64/$latest
+	if [ $? = 0 ]; then
+		latest=$(newest_matching_file '*.pkg.tar.xz')
+		while [ $NUM_BACK \< $(find . -name "*.pkg.tar.xz" | wc -l) ]
+		do
+			oldest=$(oldest_matching_file '*.pkg.tar.xz')
+			rm $oldest
+		done
+		cd ..
+		rm x86_64/"$d"*".pkg.tar.xz"
+		ln $d/$latest x86_64/$latest
+	else
+		cd ..
+	fi
+	#	repo-add ./Chizi123.db.tar.xz x86_64/$latest
 done
 
+repo-add Chizi123.db.tar.xz x86_64/*
 ln Chizi123.db.tar.xz x86_64/Chizi123.db
 ln Chizi123.files.tar.xz x86_64/Chizi123.files
 git add x86_64

--
Gitblit v1.9.3